:root {
    --background: #ffffff;
    --foreground: #171717;
    --color-secondary: #09090b;
}

@theme inline {
    --color-background: var(--background);
    --color-foreground: var(--foreground);
    --font-sans: var(--font-geist-sans);
    --font-mono: var(--font-geist-mono);
}

@media (prefers-color-scheme: dark) {
    :root {
        --background: #0a0a0a;
        --foreground: #ededed;
    }
}

html,
body {
    width: 100vw;
    height: 100vh;
    overflow: hidden;

}

.scroll-container {
    height: 100%;
    width: 100%;
    overflow: hidden;
    position: relative;
}

/* Chrome / Edge */
::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, .3);
    border-radius: 4px;
}

::-webkit-scrollbar-track {
    background: transparent;
}


body {
    background: var(--background);
    color: var(--foreground);
    font-family: Arial, Helvetica, sans-serif;
}

.axe-head-full {
    background: white;
}

.nav-container {
    background-color: rgba(255, 255, 255, 1);
    border-radius: 46px;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0.241451px 0.241451px -1.25px, rgba(0, 0, 0, 0.05) 0px 2px 2px -2.5px, rgba(9, 9, 11, 0.07) 0px 0.602187px 0.602187px -1.25px, rgba(9, 9, 11, 0.06) 0px 2.28853px 2.28853px -2.5px, rgba(9, 9, 11, 0.03) 0px 10px 10px -3.75px;
}

.subnav-container {
    top: 46px;
    background-color: rgba(255, 255, 255, 1);
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0.241451px 0.241451px -1.25px, rgba(0, 0, 0, 0.05) 0px 2px 2px -2.5px, rgba(9, 9, 11, 0.07) 0px 0.602187px 0.602187px -1.25px, rgba(9, 9, 11, 0.06) 0px 2.28853px 2.28853px -2.5px, rgba(9, 9, 11, 0.03) 0px 10px 10px -3.75px;
    border-radius: 6px;
    padding: 16px;
    width: 180px;
    border: 1px solid #ececec;
    transition: background-color .2s linear, opacity .2s linear;
    -webkit-transition: background-color .2s linear, opacity .2s linear;
}

.nav-container a {
    padding: 8px 12px;
    transition: all 180ms 'ease-in';
    color: #09090b;
}

.nav-container a:hover {
    background-color: #eeeeef;
    border-radius: 6px;

}


.subnav-container a {
    display: inline-block;
    width: 100%;
}


.footer-frame {
    width: 100%;
    border: none;
}

#mobile-nav,
#mobile-nav a {
    color: white;
    position: relative;
    line-height: 26px;
}

#mobile-nav li {
    padding: 8px 12px;
    border-bottom: 1px solid #171717;
}

#mobile-nav li:last-child {
    border-bottom: none;
}

.mobile-nav-mask {

    background: #272727;
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    z-index: -1;
}

.title-reflect {
    background: linear-gradient(270deg, #000fcf, #06f 99%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.axe-breadcrumb li {
    padding: 6px 4px;
    font-size: 18px;
}

.axe-breadcrumb li a {
    color: rgba(0, 0, 0, 0.45);
}

.axe-breadcrumb li span {

    padding: 3px 0;
}

.axe-breadcrumb .axe-breadcrumb-active {
    background-image: linear-gradient(#3d3d3d, #3d3d3d);
    background-position: 0 100%;
    background-size: 100% 1px;
    background-repeat: no-repeat;
}


.axe-pagination {
    display: flex;
    align-items: center;
    gap: 8px;
    /* 方块之间的间距 */
    font-family: Arial, sans-serif;
    font-size: 18px;
}

.axe-pagination a,
.axe-pagination .dots {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 42px;
    height: 42px;
    text-decoration: none;
    color: #4a7ab5;
    /* 蓝色字体 */
    border: 1px solid #dcdcdc;
    /* 浅灰色边框 */
    background-color: #fff;
    transition: all 0.2s;
}

/* 省略号样式：去掉边框，修改颜色 */
.axe-pagination .dots {
    color: #999;
    cursor: default;
}

.axe-pagination .dots::before {

    content: '...';
}

.axe-pagination .dots:hover::before {

    content: '»';
}

/* 悬停效果 */
.axe-pagination a:hover {
    border-color: #4a7ab5;
}

/* 当前选中页 (数字 4) 的样式 */
.axe-pagination a.active {
    color: #333;
    /* 深色文字 */
    border: 1.5px solid #333;
    /* 加粗的深色边框 */
    font-weight: bold;
    cursor: default;
}

/* 前后翻页箭头的颜色稍微淡一点 */
.axe-pagination .btn {
    color: #666;
}


.axe-ink {
    background-image: linear-gradient(#575757, #575757);
    background-repeat: no-repeat;
    background-position: 100% 100%;
    background-size: 0 2px;
    transition: background-size .3s ease;
    padding-bottom: 6px;
}


.group:hover .axe-ink,
.axe-ink:hover {
    background-repeat: no-repeat;
    background-position: 0 100%;
    background-size: 100% 2px;
}



.group:hover .axe-ink.active,
.axe-ink.active {
    background-image: linear-gradient(#000f94, #000f94);
    background-position: 0 100%;
    background-size: 100% 2px;
}
